> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# On call

> Read the agency's office hours, on-call rota and who would be paged now



## OpenAPI

````yaml /openapi.json get /maintenance-pro/on-call
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/on-call:
    get:
      tags:
        - maintenance-pro
      summary: On call
      description: Read the agency's office hours, on-call rota and who would be paged now
      operationId: maintenance-pro.onCall
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  settings:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                      ackMinutes:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      officeHours:
                        type: object
                        properties:
                          mon:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          tue:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          wed:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          thu:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          fri:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          sat:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                          sun:
                            anyOf:
                              - type: object
                                properties:
                                  open:
                                    type: string
                                  close:
                                    type: string
                                required:
                                  - open
                                  - close
                                additionalProperties: false
                              - type: 'null'
                        required:
                          - mon
                          - tue
                          - wed
                          - thu
                          - fri
                          - sat
                          - sun
                        additionalProperties: false
                      shifts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 64
                            userId:
                              type: string
                              minLength: 1
                            days:
                              type: array
                              items:
                                type: string
                                enum:
                                  - mon
                                  - tue
                                  - wed
                                  - thu
                                  - fri
                                  - sat
                                  - sun
                            start:
                              type: string
                            end:
                              type: string
                          required:
                            - id
                            - userId
                            - days
                            - start
                            - end
                          additionalProperties: false
                    required:
                      - enabled
                      - ackMinutes
                      - officeHours
                      - shifts
                    additionalProperties: false
                  revision:
                    anyOf:
                      - type: number
                      - type: string
                        enum:
                          - Infinity
                          - '-Infinity'
                          - NaN
                  savedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  canManage:
                    type: boolean
                  timeZone:
                    type: string
                  members:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        name:
                          type: string
                        email:
                          type: string
                        role:
                          type: string
                        mobile:
                          anyOf:
                            - type: string
                            - type: 'null'
                        mobileVerified:
                          type: boolean
                      required:
                        - userId
                        - name
                        - email
                        - role
                        - mobile
                        - mobileVerified
                      additionalProperties: false
                  nowChain:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        name:
                          type: string
                        reason:
                          type: string
                          enum:
                            - rota
                            - owner
                      required:
                        - userId
                        - name
                        - reason
                      additionalProperties: false
                  outOfHoursNow:
                    type: boolean
                  me:
                    type: object
                    properties:
                      userId:
                        type: string
                      mobile:
                        anyOf:
                          - type: string
                          - type: 'null'
                      verified:
                        type: boolean
                      pendingMobile:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - userId
                      - mobile
                      - verified
                      - pendingMobile
                    additionalProperties: false
                required:
                  - settings
                  - revision
                  - savedAt
                  - canManage
                  - timeZone
                  - members
                  - nowChain
                  - outOfHoursNow
                  - me
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.